#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		svers		2.91
#-----------------------------------------------------------------------------
Name		:	vte
Version		:	0.74.1
Release		:	17.0.10.rel%{?dist}
Summary		:	A terminal emulator
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	https://gitlab.gnome.org/GNOME/vte/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	glade
BuildRequires	:	gi-docgen
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	gnutls
BuildRequires	:	pcre2
BuildRequires	:	vala
BuildRequires	:	meson
BuildRequires	:	ninja
#-----------------------------------------------------------------------------
%description
VTE is a terminal emulator widget for use with GTK+

#-----------------------------------------------------------------------------
%files			-f %{name}-%{svers}.lang
%defattr(-,root,root,-)
%doc AUTHORS README.md
%license COPYING.LGPL3
%license COPYING.XTERM
%{_sysconfdir}/profile.d/%{name}.sh
%{_sysconfdir}/profile.d/%{name}.csh
%{_libdir}/lib%{name}-%{svers}.so.0*
%{_libdir}/lib%{name}-%{svers}-gtk4.so.0*
%{_libexecdir}/%{name}-urlencode-cwd
%{_libdir}/girepository-1.0/Vte-%{svers}.typelib
%{_libdir}/girepository-1.0/Vte-3.91.typelib

#=============================================================================
%package		devel
Summary		:	Development files for GTK+ 3 %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing GTK+ 3 applications
that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%license COPYING.GPL3
%doc %{_docdir}/%{name}-%{version}/%{name}-%{svers}/
%doc %{_docdir}/%{name}-%{version}/%{name}-%{svers}-gtk4/
%{_includedir}/%{name}-%{svers}/%{name}/*.h
%{_includedir}/%{name}-%{svers}-gtk4/%{name}/*.h
%{_bindir}/%{name}-%{svers}
%{_bindir}/%{name}-%{svers}-gtk4
%{_libdir}/lib%{name}-%{svers}.so
%{_libdir}/lib%{name}-%{svers}-gtk4.so
%{_libdir}/pkgconfig/%{name}-%{svers}.pc
%{_libdir}/pkgconfig/%{name}-%{svers}-gtk4.pc
%{_datadir}/gir-1.0/Vte-%{svers}.gir
%{_datadir}/gir-1.0/Vte-3.91.gir
%{_datadir}/glade/catalogs/%{name}-%{svers}.xml
%{_datadir}/glade/pixmaps/hicolor/*/actions/*.png
%{_datadir}/vala/vapi/%{name}-%{svers}.vapi
%{_datadir}/vala/vapi/%{name}-%{svers}.deps
%{_datadir}/vala/vapi/%{name}-%{svers}-gtk4.vapi
%{_datadir}/vala/vapi/%{name}-%{svers}-gtk4.deps

#=============================================================================
%prep
%setup -q
sed -i							\
  -e "/docdir =/s@\$@/ '%{name}-%{version}'@"		\
  doc/reference/meson.build

#-----------------------------------------------------------------------------
#building application
%build
meson							\
	setup						\
	--buildtype=release				\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D fribidi=true					\
	-D _systemd=false				\
	-D docs=true					\
	_bld

meson							\
	compile						\
		-C _bld					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson install						\
	-C _bld						\
	--destdir=%{buildroot}				\

find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang vte-%{svers}
#-----------------------------------------------------------------------------
%changelog
